NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Weld::ConnectionFinderBuilder Class Reference

Represents a builder to display, manage, delete, and allow the user to reparent face information for the weld objects. More...

Inheritance diagram for NXOpen::Weld::ConnectionFinderBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  FilterTypes {
  FilterTypesAll, FilterTypesPassed, FilterTypesWarning, FilterTypesFailed,
  FilterTypesSaved, FilterTypesNotSaved, FilterTypesDeleted
}
 Filter values to control "Save All" processing. More...
 

Public Member Functions

void CenterNode (NXOpen::NXObject *nodeTag)
 Adjusts the display of the part and fits the selected weld points in the center of the graphics window. More...
 
void ClearAllTree ()
 Clears the tree list and allows you to perform another search. More...
 
void ClearMarking (NXOpen::NXObject *nodeTag)
 Unmarks (removes save or delete mark) the weld feature from processing. More...
 
void DeleteNode (NXOpen::NXObject *nodeTag)
 Deletes the connected part information from the results. More...
 
NXOpen::Weld::ConnectionFinderBuilder::FilterTypes Filter ()
 Returns the filter values to contol Save All processing. More...
 
NXOpen::ScCollectorGetEdgeNodeCollector (NXOpen::NXObject *weldObject, int edgeNodeIndex)
 Get the edge collector for a specific weld object and index. More...
 
NXOpen::ScCollectorGetFaceNodeCollector (NXOpen::NXObject *weldObject, int faceNodeIndex)
 Get the face collector for a specific weld object and index. More...
 
std::vector
< NXOpen::ScCollector * > 
GetFaces (NXOpen::NXObject *weldObject)
 Get the face collectors for the given feature set or point depending on the NXOpen::Weld::ConnectionFinderBuilder::ListFeatureSet and NXOpen::Weld::ConnectionFinderBuilder::SetListFeatureSet . More...
 
bool IsEdgeNodeEmpty (NXOpen::NXObject *weldObject, int edgeNodeIndex)
 Identify if the edge collector for a specific weld object and index has edges assigned to it. More...
 
bool IsFaceNodeEmpty (NXOpen::NXObject *weldObject, int faceNodeIndex)
 Identify if the face collector for a specific weld object and index has faces assigned to it. More...
 
bool ListFeatureSet ()
 Returns the option to list the search results according to the feature sets that the specified weld point belongs to. More...
 
NXOpen::ScCollectorReassignEdge ()
 Returns the edges to use when the reassign button is invoked. More...
 
void ReassignEdgeNode (NXOpen::NXObject *ownerTag, NXOpen::NXObject *nodeTag)
 Reassign the edges from the Reassign Edge collector to the specified node. More...
 
NXOpen::ScCollectorReassignFace ()
 Returns the faces to use when the reassign button is invoked. More...
 
void ReassignFaceNode (NXOpen::NXObject *ownerTag, NXOpen::NXObject *nodeTag)
 Reassign the faces from the Reassign Face collector to the specified node. More...
 
void ReorderAfterEdgeNode (NXOpen::NXObject *parentTag, int edgeSetIndexToMove, int edgeSetIndexToReoderAfter)
 Reorders a selected edge by putting it after the specified edge. More...
 
void ReorderAfterFaceNode (NXOpen::NXObject *parentTag, int faceSetIndexToMove, int faceSetIndexToReoderAfter)
 Reorders a selected face by putting it after the specified face. More...
 
void ReorderBeforeEdgeNode (NXOpen::NXObject *parentTag, int edgeSetIndexToMove, int edgeSetIndexToReoderBefore)
 Reorders a selected edge by putting it before the specified edge. More...
 
void ReorderBeforeFaceNode (NXOpen::NXObject *parentTag, int faceSetIndexToMove, int faceSetIndexToReoderBefore)
 Reorders a selected face by putting it before the specified face. More...
 
void RequiredFaceNode (NXOpen::NXObject *nodeTag, bool isRequired)
 Identify if the face node is required (true) or optional (false). More...
 
void SaveAllTree ()
 Identify all the connected part information as "saved" so the commit will save the information. More...
 
void SaveNode (NXOpen::NXObject *nodeTag)
 Identify the connected part information as "saved" so commit will save the information. More...
 
void SetFilter (NXOpen::Weld::ConnectionFinderBuilder::FilterTypes filter)
 Sets the filter values to contol Save All processing. More...
 
void SetListFeatureSet (bool listFeatureSet)
 Sets the option to list the search results according to the feature sets that the specified weld point belongs to. More...
 
void SetUpdateCoordinateSystem (bool updateCoordinateSystem)
 Sets the option to update the coordinate system for the node from the obtained reconnection when saved. More...
 
bool UpdateCoordinateSystem ()
 Returns the option to update the coordinate system for the node from the obtained reconnection when saved. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a builder to display, manage, delete, and allow the user to reparent face information for the weld objects.


Created in NX9.0.0.

Member Enumeration Documentation

Filter values to control "Save All" processing.

Enumerator
FilterTypesAll 

all

FilterTypesPassed 

passed

FilterTypesWarning 

warning

FilterTypesFailed 

failed

FilterTypesSaved 

saved

FilterTypesNotSaved 

not saved

FilterTypesDeleted 

deleted

Member Function Documentation

void NXOpen::Weld::ConnectionFinderBuilder::CenterNode ( NXOpen::NXObject nodeTag)

Adjusts the display of the part and fits the selected weld points in the center of the graphics window.


Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
nodeTagWeld Feature.
void NXOpen::Weld::ConnectionFinderBuilder::ClearAllTree ( )

Clears the tree list and allows you to perform another search.


Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

void NXOpen::Weld::ConnectionFinderBuilder::ClearMarking ( NXOpen::NXObject nodeTag)

Unmarks (removes save or delete mark) the weld feature from processing.


Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
nodeTagWeld Feature.
void NXOpen::Weld::ConnectionFinderBuilder::DeleteNode ( NXOpen::NXObject nodeTag)

Deletes the connected part information from the results.


Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
nodeTagWeld Feature
NXOpen::Weld::ConnectionFinderBuilder::FilterTypes NXOpen::Weld::ConnectionFinderBuilder::Filter ( )

Returns the filter values to contol Save All processing.


Created in NX10.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::ConnectionFinderBuilder::GetEdgeNodeCollector ( NXOpen::NXObject weldObject,
int  edgeNodeIndex 
)

Get the edge collector for a specific weld object and index.

This is useful when the edge node for the object is empty and you need to populate it. Search will be limited by the list feature set setting.

Returns
Can return NULL if not found.
Created in NX9.0.0.

License requirements : None
Parameters
weldObjectSpecific weld feature set or point to search for.
edgeNodeIndexSpecific position index to look for in the weld object.
NXOpen::ScCollector* NXOpen::Weld::ConnectionFinderBuilder::GetFaceNodeCollector ( NXOpen::NXObject weldObject,
int  faceNodeIndex 
)

Get the face collector for a specific weld object and index.

This is useful when the face node for the object is empty and you need to populate it. Search will be limited by the list feature set setting.

Returns
Can return NULL if not found.
Created in NX9.0.0.

License requirements : None
Parameters
weldObjectSpecific weld feature set or point to search for.
faceNodeIndexSpecific position index to look for in the weld object.
std::vector<NXOpen::ScCollector *> NXOpen::Weld::ConnectionFinderBuilder::GetFaces ( NXOpen::NXObject weldObject)

Get the face collectors for the given feature set or point depending on the NXOpen::Weld::ConnectionFinderBuilder::ListFeatureSet and NXOpen::Weld::ConnectionFinderBuilder::SetListFeatureSet .

Returns
Face Collectors.
Created in NX10.0.2.

License requirements : None
Parameters
weldObjectSpecific weld feature set or point to search for.
bool NXOpen::Weld::ConnectionFinderBuilder::IsEdgeNodeEmpty ( NXOpen::NXObject weldObject,
int  edgeNodeIndex 
)

Identify if the edge collector for a specific weld object and index has edges assigned to it.

Search will be limited by the list feature set setting. An error will be returned if the edge node cannot be found or the collector is missing.

Returns

Created in NX9.0.0.

License requirements : None
Parameters
weldObjectSpecific weld feature set or point to search for.
edgeNodeIndexSpecific position index to look for in the weld object.
bool NXOpen::Weld::ConnectionFinderBuilder::IsFaceNodeEmpty ( NXOpen::NXObject weldObject,
int  faceNodeIndex 
)

Identify if the face collector for a specific weld object and index has faces assigned to it.

Search will be limited by the list feature set setting. An error will be returned if the face node cannot be found or the collector is missing.

Returns

Created in NX9.0.0.

License requirements : None
Parameters
weldObjectSpecific weld feature set or point to search for.
faceNodeIndexSpecific position index to look for in the weld object.
bool NXOpen::Weld::ConnectionFinderBuilder::ListFeatureSet ( )

Returns the option to list the search results according to the feature sets that the specified weld point belongs to.


Created in NX9.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::ConnectionFinderBuilder::ReassignEdge ( )

Returns the edges to use when the reassign button is invoked.


Created in NX9.0.0.

License requirements : None

void NXOpen::Weld::ConnectionFinderBuilder::ReassignEdgeNode ( NXOpen::NXObject ownerTag,
NXOpen::NXObject nodeTag 
)

Reassign the edges from the Reassign Edge collector to the specified node.


Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
ownerTagWeld Feature Set or Feature Point.
nodeTagEdge, or collector, identify which edges to modify in set or point.
NXOpen::ScCollector* NXOpen::Weld::ConnectionFinderBuilder::ReassignFace ( )

Returns the faces to use when the reassign button is invoked.


Created in NX9.0.0.

License requirements : None

void NXOpen::Weld::ConnectionFinderBuilder::ReassignFaceNode ( NXOpen::NXObject ownerTag,
NXOpen::NXObject nodeTag 
)

Reassign the faces from the Reassign Face collector to the specified node.


Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
ownerTagWeld Feature Set or Feature Point.
nodeTagFace, or collector, identify which faces to modify in set or point.
void NXOpen::Weld::ConnectionFinderBuilder::ReorderAfterEdgeNode ( NXOpen::NXObject parentTag,
int  edgeSetIndexToMove,
int  edgeSetIndexToReoderAfter 
)

Reorders a selected edge by putting it after the specified edge.

Indices start at 0 for the 1st element.
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
parentTagParent Weld Feature.
edgeSetIndexToMoveIndex of the edge set to reorder
edgeSetIndexToReoderAfterIndex of the edge set to reposition after
void NXOpen::Weld::ConnectionFinderBuilder::ReorderAfterFaceNode ( NXOpen::NXObject parentTag,
int  faceSetIndexToMove,
int  faceSetIndexToReoderAfter 
)

Reorders a selected face by putting it after the specified face.

Indices start at 0 for the 1st element.
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
parentTagParent Weld Feature.
faceSetIndexToMoveIndex of the face set to reorder
faceSetIndexToReoderAfterIndex of the face set to reposition after
void NXOpen::Weld::ConnectionFinderBuilder::ReorderBeforeEdgeNode ( NXOpen::NXObject parentTag,
int  edgeSetIndexToMove,
int  edgeSetIndexToReoderBefore 
)

Reorders a selected edge by putting it before the specified edge.

Indices start at 0 for the 1st element.
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
parentTagParent Weld Feature.
edgeSetIndexToMoveIndex of the edge set to reorder
edgeSetIndexToReoderBeforeIndex of the edge set to reposition before
void NXOpen::Weld::ConnectionFinderBuilder::ReorderBeforeFaceNode ( NXOpen::NXObject parentTag,
int  faceSetIndexToMove,
int  faceSetIndexToReoderBefore 
)

Reorders a selected face by putting it before the specified face.

Indices start at 0 for the 1st element.
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
parentTagParent Weld Feature.
faceSetIndexToMoveIndex of the face set to reorder
faceSetIndexToReoderBeforeIndex of the face set to reposition before
void NXOpen::Weld::ConnectionFinderBuilder::RequiredFaceNode ( NXOpen::NXObject nodeTag,
bool  isRequired 
)

Identify if the face node is required (true) or optional (false).

This is used in the case where a weld point has been identified as having faces from only 1 connected part.
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
nodeTagWeld face identifier. Typically, this will be the tag for the collector.
isRequiredIs the face node required (true) or optional (false)?
void NXOpen::Weld::ConnectionFinderBuilder::SaveAllTree ( )

Identify all the connected part information as "saved" so the commit will save the information.

Dependent on value of NXOpen::Weld::ConnectionFinderBuilder::FilterTypes . Will not mark nodes identified in failure condition.
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

void NXOpen::Weld::ConnectionFinderBuilder::SaveNode ( NXOpen::NXObject nodeTag)

Identify the connected part information as "saved" so commit will save the information.


Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
nodeTagWeld Feature.
void NXOpen::Weld::ConnectionFinderBuilder::SetFilter ( NXOpen::Weld::ConnectionFinderBuilder::FilterTypes  filter)

Sets the filter values to contol Save All processing.


Created in NX10.0.0.

License requirements : ugweld ("UG WELD")

Parameters
filterfilter
void NXOpen::Weld::ConnectionFinderBuilder::SetListFeatureSet ( bool  listFeatureSet)

Sets the option to list the search results according to the feature sets that the specified weld point belongs to.


Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
listFeatureSetlistfeatureset
void NXOpen::Weld::ConnectionFinderBuilder::SetUpdateCoordinateSystem ( bool  updateCoordinateSystem)

Sets the option to update the coordinate system for the node from the obtained reconnection when saved.


Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
updateCoordinateSystemupdatecoordinatesystem
bool NXOpen::Weld::ConnectionFinderBuilder::UpdateCoordinateSystem ( )

Returns the option to update the coordinate system for the node from the obtained reconnection when saved.


Created in NX9.0.0.

License requirements : None

virtual bool NXOpen::Weld::ConnectionFinderBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.